Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventScroll Class Reference

A GdkEventScroll C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventScroll:

List of all members.

## Public Member Functions

Accessors

- GdkEventScroll * gdk_event_scroll () const
    Get a pointer to the GdkEventScroll structure.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- double x () const
    Returns the X coordinate of the pointer relative to the window.
- double y () const
    Returns the Y coordinate of the pointer relative to the window.
- ModifierTypeField state () const
    Returns a bit-mask representing the state of the modifier keys (for example, Control, Shift and Alt) and the pointer buttons (see Gdk::ModifierType).
- ScrollDirection direction () const
    Returns the direction to scroll to (one of SCROLL_UP, SCROLL_DOWN, SCROLL_LEFT and SCROLL_RIGHT).
- Device * device () const
    Returns the Device where the event originated.
- double x_root () const
    Returns the X coordinate of the pointer relative to the root of the screen.
- double y_root () const
    Returns the Y coordinate of the pointer relative to the root of the screen.

## Detailed Description

A GdkEventScroll C++ wrapper class.

An EventScroll is generated from button presses for the buttons 4 to 7. Wheel mice are usually configured to generate button press events for buttons 4 and 5 when the wheel is turned.

The event type is SCROLL.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer